- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoFastNonDominatedSortingFitnessAssignment< MOEOT >::ObjectiveComparator Class Reference

Functor allowing to compare two solutions according to their first objective value, then their second, and so on. More...

Inheritance diagram for moeoFastNonDominatedSortingFitnessAssignment< MOEOT >::ObjectiveComparator:

List of all members.

## Public Member Functions
const bool | operator() (const MOEOT &_moeo1, const MOEOT &_moeo2)
| Returns true if _moeo1 < _moeo2 on the first objective, then on the second, and so on.
## Private Attributes
moeoObjectiveObjectiveVectorComparator< ObjectiveVector > | cmp
| the corresponding comparator for objective vectors

## Detailed Description

### template<class MOEOT>
class moeoFastNonDominatedSortingFitnessAssignment< MOEOT >::ObjectiveComparator

Functor allowing to compare two solutions according to their first objective value, then their second, and so on.

Definition at line 121 of file moeoFastNonDominatedSortingFitnessAssignment.h.

## Member Function Documentation

template<class MOEOT>

const bool moeoFastNonDominatedSortingFitnessAssignment< MOEOT >::ObjectiveComparator::operator() | ( | const MOEOT & | _moeo1,
|  | const MOEOT & | _moeo2 |
| ) |  |  | `[inline]`

Returns true if _moeo1 < _moeo2 on the first objective, then on the second, and so on.

Parameters:

  | _moeo1 | the first solution
  | _moeo2 | the second solution

Definition at line 129 of file moeoFastNonDominatedSortingFitnessAssignment.h.

References moeoFastNonDominatedSortingFitnessAssignment< MOEOT >::ObjectiveComparator::cmp.

The documentation for this class was generated from the following file:

- moeoFastNonDominatedSortingFitnessAssignment.h